Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.loaders
Interface LoadingHints

All Known Implementing Classes:
  BinaryClassDescrLoader, ReflClassDescrLoader, TigerRefgClassDescrLoader

    public interface LoadingHints

This is optional interface which ClassDescriptionLoader can implement Allows to pass some additional modes to loader for fine tunung

Nested Class Summary
`static class` | `LoadingHints.Hint`

Field Summary
`static LoadingHints.Hint` | `DONT_READ_VALUES` Says that loader should not read constant values for preventing unnecesary class initialization Can be used in reflection loaders without constant checking
`static LoadingHints.Hint` | `READ_ANY_ANNOTATIONS` Read annotations even inside methods bodies
`static LoadingHints.Hint` | `READ_BRIDGE` Says that loader should read bridge methods
`static LoadingHints.Hint` | `READ_SYNTETHIC` Says that loader should read synthetic elements

Method Summary
`void` | `addLoadingHint(LoadingHints.Hint hint)`

Field Detail

### DONT_READ_VALUES

    static final LoadingHints.Hint DONT_READ_VALUES

  Says that loader should not read constant values for preventing unnecesary class initialization Can be used in reflection loaders without constant checking

### READ_SYNTETHIC

    static final LoadingHints.Hint READ_SYNTETHIC

  Says that loader should read synthetic elements

### READ_BRIDGE

    static final LoadingHints.Hint READ_BRIDGE

  Says that loader should read bridge methods

### READ_ANY_ANNOTATIONS

    static final LoadingHints.Hint READ_ANY_ANNOTATIONS

  Read annotations even inside methods bodies

Method Detail

### addLoadingHint

    void addLoadingHint(LoadingHints.Hint hint)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD